<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">

    <div class="modal-header">
        <h6 class="modal-title" id="myOrderItemLabel" jhiTranslate="mpmApp.orderItem.home.createOrEditLabel">Create or edit a Order Item</h6>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true" (click)="clear()">&times;</button>
    </div>
    <div class="card-deck" style="margin: 10px;">
        <div class="card">
			<div class="card-body">
                <jhi-alert-error></jhi-alert-error>
                <div class="form-group" [hidden]="!orderItem.idOrderItem">
                    <label for="id" jhiTranslate="global.field.id">ID</label>
                    <input type="text" class="form-control" id="id" name="id" [(ngModel)]="orderItem.idOrderItem" readonly />
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.orderItem.idProduct" for="field_idProduct">Id Product</label>
                    <input type="text" class="form-control" name="idProduct" id="field_idProduct"
                        [(ngModel)]="orderItem.idProduct" />
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.orderItem.itemDescription" for="field_itemDescription">Item Description</label>
                    <input type="text" class="form-control" name="itemDescription" id="field_itemDescription"
                        [(ngModel)]="orderItem.itemDescription" />
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.orderItem.idFeature" for="field_idFeature">Id Feature</label>
                    <input currencyMask class="form-control" name="idFeature" id="field_idFeature"
                        [(ngModel)]="orderItem.idFeature"
                        [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"
                         />
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.orderItem.idShipTo" for="field_idShipTo">Id Ship To</label>
                    <input type="text" class="form-control" name="idShipTo" id="field_idShipTo"
                        [(ngModel)]="orderItem.idShipTo" />
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.orderItem.qty" for="field_qty">Qty</label>
                    <input currencyMask class="form-control" name="qty" id="field_qty"
                        [(ngModel)]="orderItem.qty"
                        [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '4' }"
                         />
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.orderItem.unitPrice" for="field_unitPrice">Unit Price</label>
                    <input currencyMask class="form-control" name="unitPrice" id="field_unitPrice"
                        [(ngModel)]="orderItem.unitPrice"
                        [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"
                         />
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.orderItem.discount" for="field_discount">Discount</label>
                    <input currencyMask class="form-control" name="discount" id="field_discount"
                        [(ngModel)]="orderItem.discount"
                        [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"
                         />
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.orderItem.taxAmount" for="field_taxAmount">Tax Amount</label>
                    <input currencyMask class="form-control" name="taxAmount" id="field_taxAmount"
                        [(ngModel)]="orderItem.taxAmount"
                        [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"
                         />
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.orderItem.totalAmount" for="field_totalAmount">Total Amount</label>
                    <input currencyMask class="form-control" name="totalAmount" id="field_totalAmount"
                        [(ngModel)]="orderItem.totalAmount"
                        [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"
                         />
                </div>

                <div class="form-group" *ngIf="idOrders === undefined">
                    <label class="form-control-label" jhiTranslate="mpmApp.orderItem.orders" for="field_orders">Orders</label>
                    <select class="form-control" id="field_orders" name="orders" [(ngModel)]="orderItem.ordersId" >
                        <option [ngValue]="null"></option>
                        <option [ngValue]="ordersOption.idOrder" *ngFor="let ordersOption of orders; trackBy: trackOrdersById">{{ordersOption.id}}</option>
                    </select>
                </div>
            </div>
        </div>
    </div>
    <div class="modal-footer">
        <button pButton type="button" data-dismiss="modal" (click)="clear()"
            label="{{'entity.action.cancel' | translate}}"
            icon="fa-ban"
            class="ui-button-danger flat-label-button">
        </button>
        <button pButton type="submit" [disabled]="editForm.form.invalid || isSaving"
            label="{{'entity.action.save' | translate}}"
            icon="fa-save"
            class="ui-button-primary flat-label-button">
        </button>
    </div>
</form>
